<?xml version="1.0" encoding="UTF-8"?>

<!--
	* Licensed Materials - Property of IBM
	* 5724-C11, 5724-C13, 5724-D17
	* (C) Copyright IBM Corporation 1997, 2003. All Rights Reserved.
	* US Government Users Restricted Rights- Use, duplication or disclosure
	* restricted by GSA ADP Schedule Contract with IBM Corp.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" >
<xsl:output method="text"/> 

<!-- 
	***************************************************************************************************************************************************************************
	Fills in the CollabTemplate
	***************************************************************************************************************************************************************************
-->

	<xsl:template match="/">
		<xsl:apply-templates select="/definitions/message" />
	</xsl:template>	

<!-- 
	***************************************************************************************************************************************************************************
	Fills in the GeneratedVars
	***************************************************************************************************************************************************************************
-->
	<xsl:template match="message" >
	<xsl:variable name="port" select="substring-after(part/@element,':')"></xsl:variable>
		<xsl:choose>
			<xsl:when test="contains(part/@name,'Info')">
				<xsl:value-of select="substring-before(part/@name,'Info')"></xsl:value-of>,<xsl:value-of select="$port"></xsl:value-of>
				<xsl:text>&#xA;</xsl:text>
			</xsl:when>
		</xsl:choose>
	</xsl:template>

<!-- 
	***************************************************************************************************************************************************************************
	***************************************************************************************************************************************************************************
-->

</xsl:stylesheet>
